$(document).ready(function()
{
    $.setAjaxForm('#editForm', function(response)
    { 
        if(response.result == 'fail')
        {
            if(response.message.uniqueTip && response.message.uniqueTip.length)
            {
                $('#duplicateError').html($('.errorMessage').html());
                $('#duplicateError .alert').prepend(response.message.uniqueTip);
                $('#duplicateError').show();

                $(document).on('click', '#duplicateError #continueSubmit', function()
                {
                    $('#duplicateError .alert').append("<input value='1' name='continue' class='hide'>");
                    $('#editForm #submit').click();
                })
            }
        }
        else
        {
            setTimeout(function(){location.href = response.locate;}, 1200);
        }
    });
});
